org.codehaus.plexus.component.configurator.converters.basic

## Class IntConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter
    - - org.codehaus.plexus.component.configurator.converters.basic.IntConverter

All Implemented Interfaces:
  ConfigurationConverter

    public class IntConverter
    extends AbstractBasicConverter

### Constructor Summary

Constructors
Constructor and Description
`IntConverter()`

### Method Summary

Methods
`boolean` `canConvert(Class type)`
`Object` `fromString(String str)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.basic.AbstractBasicConverter

`fromConfiguration`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntConverter

    public IntConverter()

### Method Detail

#### canConvert

    public boolean canConvert(Class type)

#### fromString

    public Object fromString(String str)
                      throws ComponentConfigurationException

Specified by:
  `fromString` in class `AbstractBasicConverter`
Throws:
  `ComponentConfigurationException`